@echo off
goto main

:copyfiles
   if "%1"=="" goto :eof
   
   echo %1 ... 
   copy %1 \

   shift
   goto :copyfiles

:checkexists
   if "%1"=="" goto :eof
   
   echo %1 ... 
   if exist %1 (
      echo    Found
   ) else (
      echo    Not found!
      set /a MISSING+=1
   )

   shift
   goto :checkexists

:main

set SYSLINUX=bin\syslinux.exe
set FILES=..\linux\boot\vmlinuz ..\linux\boot\memtest ..\linux\boot\initrd.gz etc\syslinux.cfg etc\message.txt etc\f1.txt
set MISSING=0

echo Checking for necessary files

call :checkexists %FILES% %SYSLINUX%

if %MISSING% neq 0 (
   echo %MISSING% file^(s^) missing!  Make sure you are running this from the runtutil directory.
   exit /B
)

echo Installing syslinux on flash drive...
%SYSLINUX% -m %cd%

echo Copying files to %DEVICE%
call :copyfiles %FILES%

echo All Done!
pause
